/**
 * IllustrationSource represents the source of an illustration.
 * It can be either:
 * - A midjourney grid or upscale image generated by a discord message.
 * - Or a user-generated illustration.
 */
export type IllustrationSource =
  | {
      type: 'MIDJOURNEY_GRID' | 'MIDJOURNEY_UPSCALE';
      gridIndex: number;
      sourceMessageURL: string; // URL of the discord message that generated the image
      prompt: string;
    }
  | {
      type: 'USER';
      prompt: string;
    };
